Subject: bug#61497: emacs-lsp-treemacs unused leftover icons in sources

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 14 Feb 2023 20:24:23 +0100

Am Dienstag, dem 14.02.2023 um 02:06 +0100 schrieb Jelle Licht:
> Commit e0d2ec418bb on master removed icons that are unclearly
> licensed
> from the sources of emacs-lsp-treemacs. Quoted here: 
> 
> --8<---------------cut here---------------start------------->8---
> gnu: emacs-lsp-treemacs: Remove unclearly licensed icons.
> 
> emacs-lsp-treemacs bundles icons with unclear licenses.
> See also <https://github.com/emacs-lsp/lsp-treemacs/issues/123>.
> --8<---------------cut here---------------end--------------->8---
> 
> Some icons are still left in the sources, in the 'icons/vscode'
> directory' of the source tarball one builds by running `guix build
> --source emacs-lsp-treemacs'. I have never used vscode, and am
> unfamiliar with the licensing situation of it and its related icons.
> 
> In case these icons are also unclearly licensed, I propose we follow
> the same strategy as done earlier by Liliana, and remove the vscode
> icons entirely.  If the icons are actually licensed under an
> unproblematic license, it would be nice if they were installed when
> running `guix install emacs-lsp-treemacs', and the license property
> of the package updated to reflect this fact.
>From what I could gather, vscode-icons [1] are actually CC-BY, but used
without proper attribution in this package.  As for why they're unused,
I mostly forgot to whitelist them.

Cheers

[1] https://github.com/microsoft/vscode-icons